<!DOCTYPE html>
<html>
<head>
	<title>New Signup</title>
	<style type="text/css">
		form{
			position:relative;top:50px;
			width:25%;
			border-radius:12px;
			color:white;
			background-image:linear-gradient(rgba(0,0,0,0.2),rgba(0,0,0,0.9));
			height:450px;

		}
		body{
		    background-image:linear-gradient(rgba(0,0,0,0.1),rgba(0,0,0,0.2)), url(/static/image/9.jpg/);
		    height:650px;
		    background-size: cover;
		    background-repeat: no-repeat;

		}

		#btn{
			width: 75%;
        	height:30px;
			cursor: pointer;
			border-radius: 3px;
			background-color:#215e28;
			color:white;
			font-size:13px;
			border:none;
		}
		.btn{
			width: 75%;
        	height:30px;
        	border-radius: 3px;
        	border:none;
        	background: #bababa;
        	font-size:1.5vw;
		}
		#login{
			width: 75%;
        	height:30px;
        	border-radius: 3px;
        	border:none;
        	background-color:#215e28;
        



		}
	</style>
</head>
<body>
	<center>
		<form method="post" >
			<h1 style="font-size:2vw">Register Here</h1>
			{% csrf_token %}<!--it will keep date secure from hacker-->
			
			<label style="font-size:1.5vw;"for="id_username">Username</label>
			<br>
			<input id="user1"class="btn" type="text" name="username" required="id_username" placeholder="Enterusername">
			<br><br>
			<label  style="font-size:1.5vw;" for="id_password1">Password</label>
			<br>
			<input id="pass1"class="btn" type="password" name="password1" required id="id_password1" placeholder="Enterpassword">
			<br><br>
			<label  style="font-size:1.5vw;" for="id_password2">Password confirmation</label>
			<br>
			<input id="pass2"class="btn" type="password" name="password2" autocomplete="new-password" required id="id_password2" placeholder="Re-enterpassword">
			<br><br>
			<input id="btn" type="submit"  onclick="Submit()" value="Register"><br>
			<p  style="font-size:1.5vw;">Already Registered<br>
			<button id="login"><a style="text-decoration: none; color:white; font-size:13px;"href="{% url 'loginuser'%}">Login</a></button>
			<h1 style="color:#ed0505; font-size:13px">{{error}}</h1>
			<h1 style="color:#0af716; font-size:13px">{{info}}</h1>
		</form>
		
		<script type="text/javascript">

			function firstname() {
				var name1=document.getElementById('user1').value;
			    var letter=/^[A-Za-z]+$/;
                if(name1=="" || name1==null){
                	alert("**please enter name..**");
                	return false;
                }
				else if(!name1.match(letter)){
					alert("**Enter only letter**");
					return false;

				}else{
					return true;
				}

			}
           function password(){
           	    var pwd=document.getElementById('pass1').value;
           	    var confirm=document.getElementById('pass2').value;
    
    			var pattern="(?=.*[A-Z])";

                if(pwd=="" || pwd==null){
                	alert("**Please enter Password**")
                	return false;
                }

	            else if(!pwd.match(pattern)){
	            	alert("**must contain at least 1 uppercase alphabetical character**");
	    			
	    			return false;
	             }
           

           		 else if(pwd.length<8){
                	alert("**Password sholud be more than 8**");
                	return false;
                }	

	           
	            else if(confirm=="" || confirm==null){
	           		alert("**Please re-enter Password**");
	    		
	    			return false;
	    		}else{

	    			return true;
	    		}
	    	
			}

			function Submit(){
				if(firstname() &&  password()){
					return true;
				}else{
					return false;
				}
			}
		</script>


		
	</center>

</body>
</html>